import os
import shutil

def generate_scripts(num_files, refs_per_file, output_dir):
    script_dir = os.path.dirname(os.path.abspath(__file__))
    output_dir = os.path.join(script_dir, output_dir)

    if os.path.exists(output_dir):
        shutil.rmtree(output_dir)

    os.makedirs(output_dir, exist_ok=True)
    
    for i in range(num_files):
        n = i + 1
        file_path = os.path.join(output_dir, f'script{n}.gd')
        with open(file_path, 'w') as file:
            file.write(f'class_name Script{n}\n')
            file.write('extends Node\n')
            file.write('\n')
            file.write(f'static func some_func():\n')
            for j in range(refs_per_file):
                ref_n = (n + j) % num_files + 1
                file.write(f'\tprint(Script{ref_n}.new())\n')

if __name__ == '__main__':
    generate_scripts(500, 10, 'scripts')
